## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbGeneratorElement

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbGeneratorElement

    public class JaxbGeneratorElement

extends Object

Java class for generator-element complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="generator-element">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="param" type="{http://www.hibernate.org/xsd/hibernate-mapping}param-element" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="class" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` `clazz`
`protected List<JaxbParamElement>` `param`

Constructor Summary
`JaxbGeneratorElement()`

Method Summary
`String` `getClazz()` Gets the value of the clazz property.
`List<JaxbParamElement>` `getParam()` Gets the value of the param property.
`void` `setClazz(String value)` Sets the value of the clazz property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### param

    protected List<JaxbParamElement> param

### clazz

    protected String clazz

Constructor Detail

### JaxbGeneratorElement

    public JaxbGeneratorElement()

Method Detail

### getParam

    public List<JaxbParamElement> getParam()

  Gets the value of the param property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the param property.

  For example, to add a new item, do as follows:

          getParam().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbParamElement`

### getClazz

    public String getClazz()

  Gets the value of the clazz property.

  Returns:
    possible object is `String`

### setClazz

    public void setClazz(String value)

  Sets the value of the clazz property.

  Parameters:
    `value` - allowed object is `String`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.